#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name: dragon
Summary: A simple video player for KDE 4
Epoch: 3
Version: 4.10.5
Release: %mkrel %{rel}
Group: Video/Players
License: GPLv2
URL: http://www.kde.org/applications/multimedia/dragonplayer/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
Requires: kdebase4-runtime
Conflicts: kdemultimedia4-core < 3:4.5.71
Conflicts: kmix < 3:4.8.97
Conflicts: dragonplayer < 3:4.8.95
Suggests: dragon-handbook
Obsoletes: dragonplayer < %{epoch}:%{version}
Provides: dragonplayer = %{epoch}:%{version}-%{release}
BuildRequires: kdelibs4-devel >= 2:%{version}

%description
Dragon Player is a multimedia player where the focus is on simplicity,
instead of features. Dragon Player does one thing, and only one thing,
which is playing multimedia files. It's simple interface is designed not
to get in your way and instead empower you to simply play multimedia
files.

%files 
%_kde_bindir/dragon
%dir %_kde_appsdir/dragonplayer
%_kde_appsdir/dragonplayer/
%_kde_iconsdir/*/*/*/*
%_kde_mandir/man1/*
%_kde_libdir/kde4/dragonpart.so
%_kde_applicationsdir/dragonplayer.desktop
%_kde_services/ServiceMenus/dragonplayer_*
%_kde_services/dragonplayer_part.desktop
%_kde_appsdir/solid/actions/dragonplayer-opendvd.desktop
%_kde_configdir/dragonplayerrc

#------------------------------------------------------------------------------

%package handbook
Summary: dragon handbook
Conflicts: dragonplayer < 3:4.7.1
Conflicts: dragonplayer-handbook < 3:4.8.95
Requires: %{name} >= %{epoch}:%{version}-%{release}
Obsoletes: dragonplayer-handbook < %{epoch}:%{version}
Provides: dragonplayer-handbook = %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description handbook
This package provides dragon handbook

%files handbook
%_kde_docdir/HTML/en/dragonplayer

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog
* Sat Jul 06 2013 mikala <mikala> 3:4.10.5-1.1.mga3
+ Revision: 450595
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 3:4.10.2-1.mga3
+ Revision: 407188
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 3:4.10.1-1.mga3
+ Revision: 401834
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 3:4.10.0-1.mga3
+ Revision: 394365
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Fri Jan 11 2013 umeabot <umeabot> 3:4.9.97-2.mga3
+ Revision: 349082
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 lmenut <lmenut> 3:4.9.97-1.mga3
+ Revision: 340023
- Add missing conflicts

  + mikala <mikala>
    - Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 3:4.9.95-1.mga3
+ Revision: 334519
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

  + lmenut <lmenut>
    - fix suggests dragon-handbook

* Wed Dec 05 2012 mikala <mikala> 3:4.9.90-1.mga3
+ Revision: 326724
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 3:4.9.80-1.mga3
+ Revision: 320281
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 3:4.9.3-1.mga3
+ Revision: 316166
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 3:4.9.2-1.mga3
+ Revision: 301937
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 3:4.9.1-1.mga3
+ Revision: 289726
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 3:4.9.0-1.mga3
+ Revision: 277075
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 3:4.8.97-1.mga3
+ Revision: 269647
- new version 4.8.97

* Wed Jun 27 2012 fwang <fwang> 3:4.8.95-1.mga3
+ Revision: 264342
- imported package dragon

